package jp.sbcr.java_framework.mail;

import static javax.mail.Message.RecipientType.*;

import java.util.Date;
import java.util.Properties;

import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class Mail {
	public static void sendMail(Properties properties,
			String from, String to, String subject,
			String text, String charset) {

		Session session = Session
				.getDefaultInstance(properties);

		try {
			MimeMessage mimeMessage = new MimeMessage(
					session);
			mimeMessage.setFrom(new InternetAddress(from));
			mimeMessage.setRecipients(TO, to);
			mimeMessage.setSubject(subject, charset);
			mimeMessage.setText(text, charset);
			mimeMessage.setSentDate(new Date());

			Transport.send(mimeMessage);
		} catch (AddressException e) {
			throw new RuntimeException(e);
		} catch (MessagingException e) {
			throw new RuntimeException(e);
		}
	}

}
