package jp.sbcr.java_framework.rule;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class ActionClassNamingRuleCheckInterceptor implements
		MethodInterceptor {

	public Object invoke(MethodInvocation invocation)
			throws Throwable {

		assertClassName(invocation);

		return invocation.proceed();
	}

	private void assertClassName(MethodInvocation invocation) {

		Object target = invocation.getThis();
		Class<?> clazz = target.getClass();
		String className = clazz.getName();
		if (className.endsWith("Action") == false) {
			throw new NamingRuleException(
					"Actionのクラス名のサフィックスがActionではありませんでした。"
							+ className + "クラスの名前を修正してください。");
		}
	}

	public static class NamingRuleException extends
			RuntimeException {
		private static final long serialVersionUID = 9039117704278695835L;

		public NamingRuleException(String message) {
			super(message);
		}

	}

}
