package jp.sbcr.java_framework.struts;

import static javax.servlet.http.HttpServletResponse.*;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.sbcr.java_framework.error_mail.ErrorMail;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.RequestProcessor;
import org.seasar.framework.container.SingletonS2Container;
import org.seasar.framework.util.ClassUtil;

public class JRequestProcessor extends RequestProcessor {

	@Override
	protected ActionForward processException(
			HttpServletRequest request,
			HttpServletResponse response, Exception exception,
			ActionForm form, ActionMapping mapping)
			throws IOException, ServletException {

		ErrorMail.send(exception);

		return super.processException(request, response,
				exception, form, mapping);
	}

	@Override
	protected Action processActionCreate(
			HttpServletRequest request,
			HttpServletResponse response, ActionMapping mapping)
			throws IOException {

		try {
			String className = mapping.getType();
			Action action = getAction(className);
			action.setServlet(servlet);
			return action;
		} catch (RuntimeException e) {
			String message = getInternal().getMessage(
					"actionCreate", mapping.getPath());
			log.error(message, e);
			response
					.sendError(SC_INTERNAL_SERVER_ERROR, message);
			return null;
		}
	}

	protected Action getAction(String className) {

		Class<?> clazz = ClassUtil.forName(className);
		Action action = (Action) SingletonS2Container
				.getComponent(clazz);
		return action;
	}
}
