package jp.sbcr.java_framework.web.log;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class AccessLogRecord implements Serializable {

	/** シリアルバージョンID */
	private static final long serialVersionUID = 5808630094554341795L;

	/** アクセスログID */
	private long accessLogId;

	/** コンテキストパス */
	private String contextPath;

	/** ヘッダ名 */
	private String headers;

	/** HTTPメソッド名 */
	private String method;

	/** パス情報 */
	private String pathInfo;

	/** 実際のパス情報 */
	private String pathTranslated;

	/** クエリー文字列 */
	private String queryString;

	/** リモートユーザ名 */
	private String remoteUser;

	/** セッションID */
	private String requestedSessionId;

	/** URI情報 */
	private String requestUri;

	/** URL情報 */
	private String requestUrl;

	/** サーブレットパス */
	private String servletPath;

	/** MIMEタイプ */
	private String contentType;

	/** ローカルIPアドレス */
	private String localAddr;

	/** ロケール */
	private String locales;

	/** ローカルホスト名 */
	private String localName;

	/** ローカルポート番号 */
	private int localPort;

	/** パラメータ */
	private String parameters;

	/** プロトコル名 */
	private String protocol;

	/** リモートIPアドレス */
	private String remoteAddr;

	/** リモートホスト名 */
	private String remoteHost;

	/** スキーマ名 */
	private String scheme;

	/** サーバ名 */
	private String serverName;

	/** リクエスト日時 */
	private Date requestDate;

	/** レスポンスMIMEタイプ */
	private String responseContentType;

	/** レスポンスロケール */
	private String responseLocale;

	/** レスポンス日時 */
	private Date responseDate;

	public void setAccessLogId(long accessLogId) {
		this.accessLogId = accessLogId;
	}

	public long getAccessLogId() {
		return accessLogId;
	}

	public String getContextPath() {
		return contextPath;
	}

	public String getHeaders() {
		return headers;
	}

	public String getMethod() {
		return method;
	}

	public String getPathInfo() {
		return pathInfo;
	}

	public String getPathTranslated() {
		return pathTranslated;
	}

	public String getQueryString() {
		return queryString;
	}

	public String getRemoteUser() {
		return remoteUser;
	}

	public String getRequestedSessionId() {
		return requestedSessionId;
	}

	public String getRequestUri() {
		return requestUri;
	}

	public String getRequestUrl() {
		return requestUrl;
	}

	public String getServletPath() {
		return servletPath;
	}

	public String getContentType() {
		return contentType;
	}

	public String getLocalAddr() {
		return localAddr;
	}

	public String getLocales() {
		return locales;
	}

	public String getLocalName() {
		return localName;
	}

	public int getLocalPort() {
		return localPort;
	}

	public String getParameters() {
		return parameters;
	}

	public String getProtocol() {
		return protocol;
	}

	public String getRemoteAddr() {
		return remoteAddr;
	}

	public String getRemoteHost() {
		return remoteHost;
	}

	public String getScheme() {
		return scheme;
	}

	public String getServerName() {
		return serverName;
	}

	public Date getRequestDate() {
		return requestDate;
	}

	public String getResponseContentType() {
		return responseContentType;
	}

	public Date getResponseDate() {
		return responseDate;
	}

	public void setContextPath(String contextPath) {
		this.contextPath = contextPath;
	}

	public void setHeaders(String headers) {
		this.headers = headers;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public void setPathInfo(String pathInfo) {
		this.pathInfo = pathInfo;
	}

	public void setPathTranslated(String pathTranslated) {
		this.pathTranslated = pathTranslated;
	}

	public void setQueryString(String queryString) {
		this.queryString = queryString;
	}

	public void setRemoteUser(String remoteUser) {
		this.remoteUser = remoteUser;
	}

	public void setRequestedSessionId(String requestedSessionId) {
		this.requestedSessionId = requestedSessionId;
	}

	public void setRequestUri(String requestUri) {
		this.requestUri = requestUri;
	}

	public void setRequestUrl(String requestUrl) {
		this.requestUrl = requestUrl;
	}

	public void setServletPath(String servletPath) {
		this.servletPath = servletPath;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public void setLocalAddr(String localAddr) {
		this.localAddr = localAddr;
	}

	public void setLocales(String locales) {
		this.locales = locales;
	}

	public void setLocalName(String localName) {
		this.localName = localName;
	}

	public void setLocalPort(int localPort) {
		this.localPort = localPort;
	}

	public void setParameters(String parameters) {
		this.parameters = parameters;
	}

	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}

	public void setRemoteAddr(String remoteAddr) {
		this.remoteAddr = remoteAddr;
	}

	public void setRemoteHost(String remoteHost) {
		this.remoteHost = remoteHost;
	}

	public void setScheme(String scheme) {
		this.scheme = scheme;
	}

	public void setServerName(String serverName) {
		this.serverName = serverName;
	}

	public void setRequestDate(Date requestDate) {
		this.requestDate = requestDate;
	}

	public void setResponseContentType(String responseContentType) {
		this.responseContentType = responseContentType;
	}

	public void setResponseDate(Date responseDate) {
		this.responseDate = responseDate;
	}

	public String getResponseLocale() {
		return responseLocale;
	}

	public void setResponseLocale(String responseLocale) {
		this.responseLocale = responseLocale;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
	}

	@Override
	public boolean equals(Object o) {
		return EqualsBuilder.reflectionEquals(this, o);
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}
}
